org.optaplanner.core.impl.localsearch.scope

## Class LocalSearchMoveScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractMoveScope<Solution_>
  - - org.optaplanner.core.impl.localsearch.scope.LocalSearchMoveScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class LocalSearchMoveScope<Solution_>
      extends AbstractMoveScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractMoveScope

      `move, moveIndex, score`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchMoveScope(LocalSearchStepScope<Solution_> stepScope, int moveIndex, Move<Solution_> move)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAccepted()`
    `LocalSearchStepScope<Solution_>` | `getStepScope()`
    `void` | `setAccepted(Boolean accepted)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractMoveScope

      `getMove, getMoveIndex, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchMoveScope

          public LocalSearchMoveScope(LocalSearchStepScope<Solution_> stepScope,
                                      int moveIndex,
                                      Move<Solution_> move)

  - ### Method Detail

    - #### getStepScope

          public LocalSearchStepScope<Solution_> getStepScope()

      Specified by:
        `getStepScope` in class `AbstractMoveScope<Solution_>`

    - #### getAccepted

          public Boolean getAccepted()

    - #### setAccepted

          public void setAccepted(Boolean accepted)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.